%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define appname virtinst

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Python modules and utilities for installing virtual machines
Name: 		python26-%{appname}
Version: 	0.500.3
Release: 	1
Source0: 	http://virt-manager.org/download/sources/%{appname}/%{appname}-%{version}.tar.gz
License: 	GPLv2+
Group: 		Development/Libraries
BuildArch: 	noarch
Url: 		http://virt-manager.org
Provides: 	virt-install
Provides: 	virt-clone
Provides: 	virt-image
Provides: 	virt-pack
Provides: 	virt-convert
Requires: 	libvirt-python
Requires: 	urlgrabber
Requires: 	libxml2-python
Requires: 	python26-urlgrabber
BuildRequires: 	gettext
BuildRequires: 	python26-devel

%description
virtinst is a module that helps build and install libvirt based virtual
machines. Currently supports KVM, QEmu and Xen virtual machines. Package
includes several command line utilities, including virt-install (build
and install new VMs) and virt-clone (clone an existing virtual machine).

%prep
%setup -q -n %{appname}-%{version}

%build
python%{PYVER} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python%{PYVER} setup.py install -O1 --root=$RPM_BUILD_ROOT
# Back compat in case people hardcoded old /usr/sbin/virt-install location
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
ln -s ../bin/virt-install $RPM_BUILD_ROOT/%{_sbindir}/virt-install

%find_lang %{appname} || echo 0

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{appname}.lang
%defattr(-,root,root)
%doc README COPYING AUTHORS ChangeLog NEWS doc/image.rng doc/example1.xml
%dir %{python_sitelib}/%{appname}
%dir %{python_sitelib}/virtconv
%{python_sitelib}/%{appname}/*
%{python_sitelib}/virtconv/*
%{python_sitelib}/%{appname}-*.egg-info
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_sbindir}/virt-install
%{_bindir}/virt-install
%{_bindir}/virt-clone
%{_bindir}/virt-image
%{_bindir}/virt-convert

%changelog
* Fri Jun 04 2010 Christian Metzen <metzench@ccux-linux.de> 0.500.3-1
- Version update
* Sat Jan 23 2010 Christian Metzen <metzench@ccux-linux.de> 0.500.1-1
- Initial CCux package release
